Skip to main content
GET
Discover Workflows

Path Parameters

app_id
string
required

The ID of the app

Query Parameters

tags
string[]
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required

Unique identifier for the workflow

name
string
required

Name of the workflow

description
string | null
required

Description of the workflow

app
object
required

Associated app with the workflow

version
object | null
required

Current version of the workflow

tags
object[]
required

Tags associated with the workflow

template_id
string | null
required

Unique identifier for the template

runs_count
number
required

Number of runs of the workflow

Example:

0

retention
object | null
required

Data retention policy for the run

Example:
enabled
boolean
required

Indicates if the workflow is enabled

Example:

true

deleted
boolean
required

Indicates if the workflow is deleted

Example:

false

created_at
string<date> | null
required

Creation date of the workflow

updated_at
string<date> | null
required

Last update date of the workflow

key
string
required

Unique key for the workflow version

input
object
required

Input definition of the workflow

input_default
object | null
required

Default config input values of the workflow

input_options
object | null
required

Input options of the workflow

steps
object[]
required

Steps of the workflow at the time this version was deployed

A step that displays as a note on the canvas

tests_stats
object | null

Statistics of the workflow tests